## EomURIConverter

EomURIConverter

## Functions

GQuark | eom_uc_error_quark ()
EomURIConverter * | eom_uri_converter_new ()
gboolean | eom_uri_converter_check ()
gboolean | eom_uri_converter_requires_exif ()
gboolean | eom_uri_converter_do ()
char * | eom_uri_converter_preview ()
void | eom_uri_converter_print_list ()

## Properties

gboolean | convert-spaces | Read / Write
guint | counter-n-digits | Read / Write
gulong | counter-start | Read / Write
guint | n-images | Write
char | space-character | Read / Write

## Types and Values

enum | EomUCType
| EomUCInfo
enum | EomUCError
#define | EOM_UC_ERROR
| EomURIConverter

## Object Hierarchy

        GObject
        ╰── EomURIConverter

## Description

## Functions

### eom_uc_error_quark ()

    GQuark
    eom_uc_error_quark (void);

### eom_uri_converter_new ()

    EomURIConverter *
    eom_uri_converter_new (GFile *base_file,
                           GdkPixbufFormat *img_format,
                           const char *format_string);

### eom_uri_converter_check ()

    gboolean
    eom_uri_converter_check (EomURIConverter *converter,
                             GList *img_list,
                             GError **error);

#### Parameters

converter | a EomURIConverter |
img_list | a Gfile list. | [element-type GFile]
error | a GError location to store the error occurring, or NULL to ignore |

### eom_uri_converter_requires_exif ()

    gboolean
    eom_uri_converter_requires_exif (EomURIConverter *converter);

### eom_uri_converter_do ()

    gboolean
    eom_uri_converter_do (EomURIConverter *converter,
                          EomImage *image,
                          GFile **file,
                          GdkPixbufFormat **format,
                          GError **error);

### eom_uri_converter_preview ()

    char *
    eom_uri_converter_preview (const char *format_str,
                               EomImage *img,
                               GdkPixbufFormat *format,
                               gulong counter,
                               guint n_images,
                               gboolean convert_spaces,
                               gunichar space_char);

### eom_uri_converter_print_list ()

    void
    eom_uri_converter_print_list (EomURIConverter *conv);

## Types and Values

### enum EomUCType

#### Members

EOM_UC_STRING |  |
EOM_UC_FILENAME |  |
EOM_UC_COUNTER |  |
EOM_UC_COMMENT |  |
EOM_UC_DATE |  |
EOM_UC_TIME |  |
EOM_UC_DAY |  |
EOM_UC_MONTH |  |
EOM_UC_YEAR |  |
EOM_UC_HOUR |  |
EOM_UC_MINUTE |  |
EOM_UC_SECOND |  |
EOM_UC_END |  |

### EomUCInfo

    typedef struct {
    	char     *description;
    	char     *rep;
    	gboolean req_exif;
    } EomUCInfo;

### enum EomUCError

#### Members

EOM_UC_ERROR_INVALID_UNICODE |  |
EOM_UC_ERROR_INVALID_CHARACTER |  |
EOM_UC_ERROR_EQUAL_FILENAMES |  |
EOM_UC_ERROR_UNKNOWN |  |

### EOM_UC_ERROR

    #define EOM_UC_ERROR eom_uc_error_quark ()

### EomURIConverter

    typedef struct _EomURIConverter EomURIConverter;

## Property Details

### The `“convert-spaces”` property

      “convert-spaces”           gboolean

Owner: EomURIConverter

Flags: Read / Write

Default value: FALSE

### The `“counter-n-digits”` property

      “counter-n-digits”         guint

Owner: EomURIConverter

Flags: Read / Write

Allowed values: >= 1

Default value: 1

### The `“counter-start”` property

      “counter-start”            gulong

Owner: EomURIConverter

Flags: Read / Write

### The `“n-images”` property

      “n-images”                 guint

Owner: EomURIConverter

Flags: Write

Allowed values: >= 1

Default value: 1

### The `“space-character”` property

      “space-character”          char

Owner: EomURIConverter

Flags: Read / Write

Allowed values: [32,126]

Default value: 95